org.crosswire.jsword.versification.system

## Class SystemLXX

- java.lang.Object
- - org.crosswire.jsword.versification.Versification
  - - org.crosswire.jsword.versification.system.SystemLXX

- All Implemented Interfaces:
    Serializable, ReferenceSystem

      public class SystemLXX
      extends Versification

  LXX a compromise versification system, intended to allow encoding of Bibles using a number of slightly varying LXX-based versification systems. In particular, it was produced in consultation with OTs:
  - Rahlfs',
  - Swete's,
  - Tischendorf's, and Thomson's editions of the LXX
  - the NETS,
  - SAAS (OSB OT),
  - Brenton, and
  - Asser translations
  - R. H. Charles' and James H. Charlesworth's anthologies of Apocrypha and Pseudepigrapha
  - Henry E. J. Howard's Pentateuch and R. R. Ottley's Isaiah translations from the LXX.
  In addition to the LXX OT, the GNT has been included in this system to facilitate production of modern Bibles such as the OSB, which are translated from the LXX but include the NT as well. The following NTs were consulted in producing this versification system:
  - Antoniades' Patriarchal GNT and its translation,
  - the EOB
  - the NKJV (OSB NT) and
  - NRSV translations
  All of these Bibles & texts should be accommodated by this versification definition without requiring that any extra verses be appended; as a consequence, no Bible will include every verse of this system.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static BibleBook[]` | `BOOKS_NT`
    `(package private) static BibleBook[]` | `BOOKS_OT`
    `(package private) static int[][]` | `LAST_VERSE_NT`
    `(package private) static int[][]` | `LAST_VERSE_OT` Constant for the max verse number in each chapter
    `private static long` | `serialVersionUID` Serialization ID
    `static String` | `V11N_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemLXX()` Build the "LXX" Versification.

  - ### Method Summary

    - ### Methods inherited from class org.crosswire.jsword.versification.Versification

      `add, containsBook, decodeOrdinal, distance, dump, getAllVerses, getBook, getBook, getBookCount, getBookCount, getBookIterator, getBookName, getChapterCount, getCount, getFirstBook, getLastBook, getLastChapter, getLastVerse, getLongName, getName, getNextBook, getOrdinal, getOrdinal, getPreferredName, getPreviousBook, getShortName, getTestament, getTestamentOrdinal, isAdjacentBook, isAdjacentChapter, isAdjacentVerse, isBook, isBookIntro, isChapterIntro, isEndOfBook, isEndOfChapter, isIntro, isSameBook, isSameChapter, isStartOfBook, isStartOfChapter, max, maximumOrdinal, min, next, optimize, patch, subtract, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### V11N_NAME

          public static final String V11N_NAME

      See Also:
        Constant Field Values

    - #### BOOKS_OT

          static final BibleBook[] BOOKS_OT

    - #### BOOKS_NT

          static final BibleBook[] BOOKS_NT

    - #### LAST_VERSE_OT

          static final int[][] LAST_VERSE_OT

      Constant for the max verse number in each chapter

    - #### LAST_VERSE_NT

          static final int[][] LAST_VERSE_NT

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemLXX

          SystemLXX()

      Build the "LXX" Versification.